apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: platform-data
  namespace: argocd
spec:
  project: agentic-os
  source:
    repoURL: http://192.168.8.248:3000/deepkoluguri/agentic-os.git
    targetRevision: main
    path: platform/data
  destination:
    server: https://kubernetes.default.svc
    namespace: platform-data
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
